Commit b883d736 authored by Andre Miranda's avatar Andre Miranda
Browse files

Switch to README.md and foreign automake mode

parent 83d8d5c7
XFCE4-EYES-PLUGIN
==========================================================================
You can always find up-to-date information at the plugin homepage:
https://docs.xfce.org/panel-plugins/xfce4-eyes-plugin
## What is it?
CONTENTS
==========================================================================
* ABOUT
* USAGE
* DEBUGGING AND REPORTING BUGS
* REQUIREMENTS AND DEPENDENCIES
* EASY BUILD INSTRUCTIONS
* TRANSLATING THE PLUGIN FOR YOUR LANGUAGE
ABOUT
==========================================================================
xfce4-eyes-plugin is a xfce4 panel plugin that adds eyes which watch
your every step. Scary!
Portions of the xfce4-eyes code were taken from geyes. These, and the rest of
the code are licensed under the terms of the GNU General public license; see
the COPYING file.
the [`COPYING`](COPYING) file.
USAGE
==========================================================================
## Usage
Simply add the plugin to the panel and select a theme in the
configuration dialog. Depending on how big the eyes are and where on
the panel you want the eyes to appear, you might find changing the
single-row option useful. It becomes effective only in multi-row mode.
DEBUGGING AND REPORTING BUGS
==========================================================================
Before reporting bugs or asking for new features, please consolidate
the Xfce bug tracker at https://bugzilla.xfce.org, because your issue
or request might have been reported already or be in planning.
## Installation
The file [`INSTALL`](INSTALL) contains generic installation instructions.
BUILD REQUIREMENTS AND DEPENDENCIES
==========================================================================
If you have installed Xfce, you already have all required dependencies
installed.
## How to report bugs?
Before reporting bugs or asking for new features, please review existing
issues at https://gitlab.xfce.org/panel-plugins/xfce4-eyes-plugin, because
your issue or request might have been reported already or be in planning.
## Easy build instructions
EASY BUILD INSTRUCTIONS
==========================================================================
If you're interesting in building the plugin yourself, these
instructions provided here will work for most users. If not, please
look at the INSTALL file or ask at a forum for your linux distribution
or try the methods explained on http://www.xfce.org/community. Make
sure you have installed the needed dependencies (see previous section
BUILD REQUIREMENTS AND DEPENDENCIES).
or try the methods explained on https://www.xfce.org/community. Make
sure you have installed the needed dependencies (if you have installed
Xfce, you already have all required dependencies installed).
For the panel being able to find the plugin, it is important to set
the proper prefix. The prefix is the place in the filesystem where the
......@@ -66,16 +49,16 @@ If you want to install the current version from git, execute the
following command in the plugin project directory (make sure you have
GNU automake installed!):
1a) ./autogen.sh --prefix=/usr
a) `./autogen.sh --prefix=/usr`
If an error about a missing ltmain.sh occurs, try "autoreconf -i".
If an error about a missing `ltmain.sh` occurs, try `autoreconf -i`.
Otherwise, if you've downloaded the tarball from e.g.
http://archive.xfce.org/, issue the following command:
https://archive.xfce.org/, issue the following command:
1b) ./configure --prefix=/usr
b) `./configure --prefix=/usr`
If 1a) or 1b) fail, you should receive an error message telling you
If a) or b) fail, you should receive an error message telling you
the cause for the failure (e.g. missings libraries). If you're missing
a dependency you need to install it using the package management
system of your distribution. Distributions commonly have two versions
......@@ -87,29 +70,27 @@ is not, so better check this.
Note: To solve distribution-specific problems the most efficient way
is to ask at a forum for your distribution, not on a general forum.
Then for both cases:
2) make
Then for both cases: `make`
If this fails, file a bug on https://bugzilla.xfce.org, or send a mail
If this fails, create an issue on
https://gitlab.xfce.org/panel-plugins/xfce4-eyes-plugin, or send a mail
to the xfce mailing list and provide make output.
Finally, and usually as root:
3) make install
Finally, and usually as root: `make install`
Note: Depending on your prefix, this might overwrite an existing
version of the plugin.
You can later uninstall the plugin (as root) with
4) make uninstall
You can later uninstall the plugin (as root) with: `make uninstall`
The panel should then recognize the new plugin, if it doesn't try to
restart it using xfce4-panel -r. If it still doesn't work after that
restart it using `xfce4-panel -r`. If it still doesn't work after that
try to ask for help somewhere (forums, mailing lists, #xfce on
IRC). Please do not report such problems on the bug tracker.
TRANSLATING THE PLUGIN FOR YOUR LANGUAGE
==========================================================================
## Translating the plugin for your language
If you need help getting started with translating the plugin into your
language, please visit this wiki page for a start:
https://wiki.xfce.org/translations/translation_guidance_in_xfce
......@@ -118,4 +99,5 @@ TRANSLATORS, PLEASE MAKE SURE YOU CHECK YOUR FILE FOR ERRORS BEFORE
UPLOADING IT! Otherwise, it will break compilation of the plugin. It
is easy to do this with the following command (where file.po is the po
file of your language):
msgfmt -c --check-accelerators=_ -v -o /dev/null <file.po>
`msgfmt -c --check-accelerators=_ -v -o /dev/null <file.po>`
......@@ -14,8 +14,8 @@ m4_define([eyes_version], [eyes_version_major().eyes_version_minor().eyes_versio
dnl ***************************
dnl *** Initialize autoconf ***
dnl ***************************
AC_COPYRIGHT([Copyright (c) 2006-2016 The Xfce development team])
AC_INIT([xfce4-eyes-plugin], [eyes_version], [http://bugzilla.xfce.org/], [xfce4-eyes-plugin])
AC_COPYRIGHT([Copyright (c) 2006-2020 The Xfce development team])
AC_INIT([xfce4-eyes-plugin], [eyes_version], [https://gitlab.xfce.org/panel-plugins/xfce4-eyes-plugin/], [xfce4-eyes-plugin])
AC_PREREQ([2.60])
AC_CONFIG_MACRO_DIRS([m4])
AC_CANONICAL_TARGET()
......@@ -23,7 +23,7 @@ AC_CANONICAL_TARGET()
dnl ***************************
dnl *** Initialize automake ***
dnl ***************************
AM_INIT_AUTOMAKE([1.9 dist-bzip2 tar-ustar no-dist-gzip])
AM_INIT_AUTOMAKE([1.9 dist-bzip2 tar-ustar no-dist-gzip foreign])
AC_CONFIG_HEADERS([config.h])
AM_MAINTAINER_MODE()
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment